POST /interaction/v1/interactions/pause/key:{definitionKey}

Pause a journey that’s currently running by specifying its external key. To pause a journey by specifying its ID, use /interaction/v1/interactions/pause/{definitionID} instead.

This operation only applies to standard journeys. To pause a transactional send journey, use the messaging/v1/email/definitions/{definitionKey} endpoint to set the value of the status property to inactive.

Note

Required Permission Scope 

To use this endpoint to pause journeys, you must have the Automation | Journeys | Activate/Stop/Pause/Resume/Send/ScheduleActivate scope.

URL Parameters 

NameTypeDescription
definitionKeystringRequired. The external key of the journey to pause.

Query Parameters 

NameTypeDescription
versionNumberintegerThe version number of the journey to pause. If the value of the allVersions parameter is false, this parameter is required.
allVersionsbooleanUse this parameter to specify whether to pause all versions of the journey. If the value of this parameter is false, you must specify a value for versionNumber. The default value is false.

JSON Parameters 

The request body can contain a JSON object that contains any of the values in this table.

NameTypeDescription
ExtendWaitEndDatesbooleanUse this parameter to specify whether to extend the wait periods for Wait by Duration activities while the journey is paused. This parameter applies only to Wait By Duration wait types. If the value is true, the wait end date is extended by the number of days specified by PausedDays. The default value is false.
GuardrailActionstringThe action to take after the number of days specified by the PausedDays property. Possible values:
  • stop–Stop the journey when the number of paused days elapses.
  • resume–Resume the journey when the number of paused days elapses.
  • none–Do nothing when the number of paused days elapses.
The default value is none.
PausedDaysintegerThe number of days to pause the journey. The default value is 14.
RetainContactInjectionWhileJourneyPausedbooleanUse this parameter to specify how new contacts are handled while the journey is paused. If the value is true, new contacts are added to a queue and processed when the journey resumes. If the value is false, new contacts are ignored. The default value is false.

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2POST  /interaction/v1/interactions/pause/key:YOUR_JOURNEY_EXTERNAL_KEY?versionNumber=1
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5
6{
7    "ExtendWaitEndDates":false,
8    "PausedDays":14,
9    "ProcessWaitUntilEvents":true,
10    "GuardrailAction":"Resume",
11    "RetainContactInjectionWhileJourneyPaused":true
12}

Response: No Errors 

1HTTP/1.1 202 Accepted
2{
3    "status": "Accepted"
4}

Response: Missing Version Number 

1HTTP/1.1 400
2{
3    "message": "AllVersions=true or VersionNumber required.",
4    "errorcode": 10005,
5    "documentation": ""
6}

Response: No Journey That Can Be Paused Matches the Key 

1HTTP/1.1 400
2{
3    "message": "An interaction must be in published or unpublished status to be paused.",
4    "errorcode": 10000,
5    "documentation": ""
6}

Response: Runtime Error 

1HTTP/1.1 400
2{
3    "message": "{{{ERROR_OPEN_SUPPORT_CASE}}}",
4    "errorcode": 30000,
5    "documentation": ""
6}

Response: Empty or Incorrect Authorization Token 

1HTTP/1.1 401
2{
3    "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
4    "errorcode": 0,
5    "message": "Not Authorized"
6}